> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bulk bank payout

> Retrieves the details and status of a bulk bank payout.

### Requirements to consume the endpoint.

<CardGroup cols={1}>
  <Card title="User approved" icon="check">
    The user must be approved in at least one country.
  </Card>
</CardGroup>


## OpenAPI

````yaml get /api/payouts/bank/bulk/{id}
openapi: 3.0.0
info:
  version: v1.0.0
  title: Bank payouts API
  description: API for managing bank payouts in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/payouts/bank/bulk/{id}:
    get:
      summary: Get bulk bank payout
      description: Retrieves the details and status of a bulk bank payout.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Id of the bulk bank payout
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseBulkBankPayoutSchema'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFoundSchema'
          description: Not Found
components:
  schemas:
    responseBulkBankPayoutSchema:
      type: object
      properties:
        createdAt:
          type: string
          description: The date and time the bulk payout was created.
          example: '2025-01-04T00:24:28.658Z'
        userId:
          type: string
          description: The unique identifier of the user.
          example: 6757546b4c5d19bf3cd7b09c
        orderIds:
          type: array
          description: List of order IDs associated with this bulk payout.
          items:
            type: string
          example:
            - 677880bab7a7c5e821c9f56f
            - 67788100b7a7c5e821c9fc0f
            - 6778811fb7a7c5e821c9fef5
        amount:
          type: number
          description: The total payout amount across all orders.
          example: 250000
        fiat:
          type: string
          enum:
            - MXN
            - PEN
            - COP
            - USD
          description: The fiat currency of the payout.
        country:
          type: string
          enum:
            - MX
            - PE
            - CO
            - US
          description: The country of the payout.
        bankName:
          type: string
          description: The name of the destination bank.
          example: BBVA
        CLABE:
          type: string
          description: The CLABE number for Mexican bank accounts.
          example: '012180015000000001'
        status:
          type: string
          enum:
            - awaitingOrders
            - awaitingPaymentForOrders
            - awaitingAsyncPayoutRequest
            - awaitingPayout
            - awaitingAsyncPayout
            - checkingLiquidity
            - sourcingLiquidity
            - liquiditySourced
            - complete
            - failed
            - cancelled
          description: The current status of the bulk bank payout.
          example: awaitingOrders
        payoutBankAccountId:
          type: string
          description: The ID of the destination bank account.
          example: 65ba521a4b3e1bd9eb6a5107
        payoutsSent:
          type: array
          description: Details of individual payouts within this bulk payout.
          items:
            type: object
            properties:
              amount:
                type: number
                description: Amount of this individual payout.
              SPEITrackingNumber:
                type: string
                description: Tracking number for SPEI transfers in Mexico.
              SPIDTrackingNumber:
                type: string
                description: Tracking number for SPID transfers in Mexico.
              CEPLink:
                type: string
                description: URL to view the CEP generated for the transaction.
              reference:
                type: string
                description: Alphanumeric reference.
              sentAt:
                type: string
                description: Date and time the payout was sent.
                example: '2025-01-04T12:30:00.000Z'
        id:
          type: string
          description: The unique identifier of the bulk bank payout.
          example: 677890d5d520f9ecb10e9c33
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
    notFoundSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 4
              message:
                type: string
                example: Bulk bank payout not found
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````